{% extends 'base.html' %}
{% load static %}

{% block body %}
<!-- Modal -->
<div class="modal" id="agregarProducto" tabindex="-1" aria-labelledby="agregarProductoLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
            <form action="">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Agregar producto</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="container-fluid">
                        <div class="form-row">
                            <div class="col">
                                <select name="producto" id="producto" class="form-control">
                                    <option value="" hidden>Producto</option>
                                    {% for p in productos %}
                                    <option value="{{p.Id}}">{{p.Nombre}}</option>
                                    {% endfor %}
                                </select>
                            </div>
                            <div class="col">
                                <select name="calidad" id="calidad" class="form-control">
                                    {% for i in calidades %}
                                    <option value="{{i.Id}}">{{i.Nombre}}</option>
                                    {% endfor %}
                                </select>
                            </div>
                            <div class="col">
                                <input type="number" name="cantidad" id="cantidad" class="form-control"
                                    placeholder="Cantidad (Toneladas)" required>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                    <input type="submit" value="Agregar" class="btn btn-success" data-dismiss="modal"
                        id="btnAgregarProducto">
                </div>
            </form>
        </div>
    </div>
</div>
<!-- End Modal -->

<div class="container">
    <div class="row" style="margin-bottom:10px;">
        <div class="col-12 col-md-6">
            <h3>Nuevo pedido</h3>
        </div>
        <div class="col-12 col-md-6 text-md-right">
            <a href="{% url 'pedidos' %}" class="btn btn-success">Volver</a>
        </div>
    </div>
    <form action="{% url 'enviarpedido' %}" method="POST" id="pedido">
        {% csrf_token %}
        <div class="row">
            <div class="col-12">
                <h4>Detalles de despacho</h4>
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-12">
                                <span class="font-weight-bold">Dirección de entrega</span>
                                <hr>
                                <div class="form-row">
                                    <div class="col-5">
                                        <select name="direccion" id="direccion" class="form-control">
                                            {% for i in direcciones %}
                                            <option value="{{i.Id}}">{{i.Nombre}}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                    <div class="col-4"></div>
                                    <div class="col-3 text-right">
                                        <a href="{% url 'direcciones' %}" class="btn btn-success">Agregar nueva dirección</a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-8">
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <div class="col-12">
                <br>
                <h4>Productos</h4>
                <div class="card">
                    <div class="card-body">
                        <table class="table table-sm table-bordered table-striped text-center" name="listadoproductos" id="listadoproductos">
                            <tr>
                                <th>Producto</th>
                                <th>Calidad</th>
                                <th>Cantidad (Toneladas)</th>
                                <th>Acciones</th>
                            </tr>
                        </table>

                        <div class="row">
                            <div class="col-12 text-right">

                                <!-- Button trigger modal -->
                                <button type="button" class="btn btn-success" data-toggle="modal"
                                    data-target="#agregarProducto">
                                    Agregar producto
                                </button>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

            <div class="col-12">
                <br>
                <input type="submit" value="Enviar pedido" class="btn btn-success">
            </div>
        </div>
    </form>


</div>
{% endblock %}

{% block scripts %}
<script>
    $(document).ready(function () {

        var count = 0;

        $('#agregarProducto').on('shown.bs.modal', function () {
            $('#producto').trigger('focus')
        });

        $('#agregarProducto').on('hidden.bs.modal', function () {
            $('#producto').val('');
            $('#calidad').val(1);
            $('#agregarProducto').find('input[type="number"]').val('');
        });

        $('#btnAgregarProducto').click(function () {
            count++;
            var nombreProducto = $('#producto option:selected').text();
            var nombreCalidad = $('#calidad option:selected').text();
            var cantidad = $('#cantidad').val();

            var idProducto = $('#producto').val();
            var idCalidad = $('#calidad').val();

            row = '<tr id="row' + count + '">';

            row += '<td>' + nombreProducto + '<input class="producto" type="hidden" name="hidden_producto[]" value="' + idProducto + '"></td>';
            row += '<td>' + nombreCalidad + '<input class="calidad" type="hidden" name="hidden_calidad[]" value="' + idCalidad + '"></td>';
            row += '<td>' + cantidad + '<input class="cantidad" type="hidden" name="hidden_cantidad[]" value="' + cantidad + '"></td>';
            row += '<td><a href="#" name="quitar" id="' + count + '" class="btn btn-sm btn-danger remove_details">Quitar</a></td>';

            row += '</tr>';

            $('#listadoproductos').append(row);
            //alert('Producto agregado');
        });

        $(document).on('click', '.remove_details', function () {
            var row_id = $(this).attr("id");
            if (confirm("Are you sure you want to remove this row data?")) {
                $('#row' + row_id).remove();
            }
            else {
                return false;
            }
        });

        $('#pree').on('submit', function (event) {
            event.preventDefault();
            var count_data = 0;

            $('.producto').each(function () {
                count_data = count_data + 1;
                //alert(count_data);
            });

            if (count_data > 0) {
                var form_data = $(this).serialize();
                $.ajax({
                    url: "{% url 'enviarpedido' %}",
                    method: "POST",
                    data: form_data,
                    success: function (data) {
                        $('#user_data').find("tr:gt(0)").remove();

                        alert('wena');
                        location.replace("/");
                        $('#action_alert').html('<p>Data Inserted Successfully</p>');
                        $('#action_alert').dialog('open');
                    }
                })
            }
            else {
                $('#action_alert').html('<p>Please Add atleast one data</p>');
                $('#action_alert').dialog('open');
                alert('mala');
            }

        })

    });







</script>
{% endblock %}